Skip to main content
GET
/
v2
/
audit-logs
Fetches a list of audit logs.
curl --request GET \
  --url https://api.spirii.com/v2/audit-logs
{
  "data": [
    {
      "id": 123,
      "logName": "<string>",
      "keycloakUuid": "<string>",
      "keycloakEmail": "<string>",
      "urlCalled": "<string>",
      "operatorId": 123,
      "companyId": 123,
      "ip": "127.0.0.1",
      "domain": "<string>",
      "caller": "<string>",
      "tableName": "<string>",
      "entityId": 123,
      "entityIdString": "<string>",
      "association": "<string>",
      "properties": {},
      "createdAt": "2000-12-01T00:00:00.000Z"
    }
  ],
  "end_cursor": "<string>",
  "previous_end_cursor": "<string>"
}

Query Parameters

end_cursor
string

Cursor to be used to request the next page. Mutually exclusive with previous_end_cursor.

previous_end_cursor
string

Cursor to be used to request the previous page. Mutually exclusive with end_cursor.

limit
integer
default:25

Limit amount of returned records.

Required range: 1 <= x <= 100
sort_direction
enum<string>
default:desc

Sort direction by creation time.

Available options:
asc,
desc
id
integer

Filter by the audit log ID.

logName
string

Filter by log name.

keycloakUuid
string

Filter by the Keycloak user UUID that triggered the event.

keycloakEmail
string

Filter by the Keycloak user email that triggered the event.

urlCalled
string

Filter by the URL that was called.

ip
string

Filter by the IP address (IPv4 or IPv6) of the caller.

Example:

"127.0.0.1"

domain
string

Filter by domain.

caller
string

Filter by caller.

tableName
string

Filter by the affected table name.

entityId
integer

Filter by the numeric entity ID of the affected resource.

entityIdString
string

Filter by the string entity ID of the affected resource.

event
enum<string>

Filter by the event type.

Available options:
created,
updated,
deleted,
associated,
disassociated,
unknown
association
string

Filter by association.

createdAtFrom
string<date-time>

Filter audit logs created from the specified timestamp (inclusive).

Example:

"2000-12-01T00:00:00.000Z"

createdAtTo
string<date-time>

Filter audit logs created up to the specified timestamp (inclusive).

Example:

"2000-12-01T00:00:00.000Z"

Response

200 - application/json
data
object[]
required

List of audit logs

end_cursor
string

Cursor for the end of the current page

previous_end_cursor
string

Cursor for the end of the previous page